# -*- coding: utf-8 -*-
"""
pyttsx3
"""
from __future__ import division
from ..__load__ import *
from .base import Base

class Espeak(Base):

	def __init__(self):
		super(self.__class__, self).__init__()

	def setting(self, appid, **args):
		self.appid = appid

	def tts(self, phrase):
		filename = Demeter.md5(phrase)
		Popen.shell('espeak -v zh "'+phrase+'" --stdout > '+filename+'.mp3')